AUTOUPDATE(1)

NAME
autoupdate2.13 - updates an old configure.in file to version 2

SYNOPSIS
autoconf2.13 [ --help | -h ] [ --macrodir=dir | -m dir ] [ --version ]

DESCRIPTION
The autoupdate2.13 program updates a configure.in file that calls Autoconf macros by their old names to use the current macro names. In version 2 of Autoconf, most of the macros were renamed to use a more uniform and descriptive naming scheme. Although the old names still work , you can make your configure.in files more readable and make it easier to use the current Autoconf documentation if you update them to use the new macro names. If given no arguments, autoupdate2.13 updates configure.in, backing up the original version with the suffix ~ (or the value of the environment variable SIMPLE_BACKUP_SUFFIX, if that is set). If you give autoupdate2.13 an argument, it reads that file instead of configure.in and writes the updated file to the standard output.

autoconf2.13 accepts the following options:

--help

-h  Print a summary of the command line options and exit.

--macrodir=DIR

-m DIR
    Look for the installed macro files in directory DIR. You can also set the AC_MACRODIR environment variable to a directory; this option overrides the environment variable.

--version
    Print the version number of Autoconf and exit.

SEE ALSO
autoconf2.13(1), autoheader2.13(1), autoreconf2.13(1), autoscan2.13(1), ifnames2.13(1)

AUTHORS
David MacKenzie, with help from Franc,ois Pinard, Karl Berry, Richard Pixley, Ian Lance Taylor, Roland McGrath, Noah Friedman, David D. Zuhn, and many others. This manpage written by Ben Pfaff <pfaffben@msu.edu> for the Debian GNU/Linux autoconf2.13 package.